{% extends 'base.html.twig' %}

{% block title %}{{ trip.startLocation }} -> {{ trip.endLocation }}{% endblock %}

{% block style %}
    {{ parent() }}
    .table {
    margin: 10px;
    }

    th:first-Child {
        text-align: right;
    }
{% endblock %}

{% block body %}
    <h1>Fahrtdetail</h1>
    <p><a href="{{ path('app_trip_index') }}">Zurück zur Fahrtenübersicht</a></p>
    <table class="table">
        <tbody>
            <tr>
                <th>#</th>
                <td>{{ trip.id }}</td>
            </tr>
            <tr>
                <th>Startort</th>
                <td>{{ trip.startLocation }}</td>
            </tr>
            <tr>
                <th>Zielort</th>
                <td>{{ trip.endLocation }}</td>
            </tr>
            <tr>
                <th>Startzeitpunkt</th>
                <td>{{ trip.startDateTime ? trip.startDateTime|date('d.m.Y H:i') : '' }}</td>
            </tr>
            <tr>
                <th>Endzeitpunkt</th>
                <td>{{ trip.endDateTime ? trip.endDateTime|date('d.m.Y H:i') : '' }}</td>
            </tr>
            <tr>
                <th>Gefahrene Kilometer</th>
                <td>{{ trip.drivenKilometers }}</td>
            </tr>
            <tr>
                <th>Fahrzeug</th>
                <td><a href="{{ path('app_car_update', {'id': trip.car.id}) }}">{{ trip.car.description }} ({{ trip.car.plate }})</a></td>
            </tr>
        </tbody>
    </table>
    <p><a href="{{ path('app_trip_edit', {'id': trip.id}) }}">Fahrt editieren</a></p>
    <p>{{ include('trip/_delete_form.html.twig') }}</p>
{% endblock %}
